package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * RadiusUserOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class RadiusUserOpenApiVo   {
  @JsonProperty("userId")
  private String userId;

  @JsonProperty("type")
  private Integer type;

  @JsonProperty("username")
  private String username;

  @JsonProperty("password")
  private String password;

  @JsonProperty("upRateLimit")
  private Long upRateLimit;

  @JsonProperty("downRateLimit")
  private Long downRateLimit;

  @JsonProperty("upLimit")
  private Long upLimit;

  @JsonProperty("downLimit")
  private Long downLimit;

  @JsonProperty("vlanId")
  private Integer vlanId;

  @JsonProperty("timeout")
  private Integer timeout;

  public RadiusUserOpenApiVo userId(String userId) {
    this.userId = userId;
    return this;
  }

  /**
   * Build-in Radius profile user ID
   * @return userId
  */
  @ApiModelProperty(value = "Build-in Radius profile user ID")


  public String getUserId() {
    return userId;
  }

  public void setUserId(String userId) {
    this.userId = userId;
  }

  public RadiusUserOpenApiVo type(Integer type) {
    this.type = type;
    return this;
  }

  /**
   * Type of Build-in Radius profile user, 0: user auth; 1: MAC auth
   * @return type
  */
  @ApiModelProperty(value = "Type of Build-in Radius profile user, 0: user auth; 1: MAC auth")


  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }

  public RadiusUserOpenApiVo username(String username) {
    this.username = username;
    return this;
  }

  /**
   * Build-in Radius profile user name, when parameter [type] is 1, [username] is the MAC address
   * @return username
  */
  @ApiModelProperty(value = "Build-in Radius profile user name, when parameter [type] is 1, [username] is the MAC address")


  public String getUsername() {
    return username;
  }

  public void setUsername(String username) {
    this.username = username;
  }

  public RadiusUserOpenApiVo password(String password) {
    this.password = password;
    return this;
  }

  /**
   * Build-in Radius profile user password, when parameter [type] is 1, [password] is the MAC address
   * @return password
  */
  @ApiModelProperty(value = "Build-in Radius profile user password, when parameter [type] is 1, [password] is the MAC address")


  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

  public RadiusUserOpenApiVo upRateLimit(Long upRateLimit) {
    this.upRateLimit = upRateLimit;
    return this;
  }

  /**
   * Build-in Radius profile user uplink rate limit, unit: Kbps
   * @return upRateLimit
  */
  @ApiModelProperty(value = "Build-in Radius profile user uplink rate limit, unit: Kbps")


  public Long getUpRateLimit() {
    return upRateLimit;
  }

  public void setUpRateLimit(Long upRateLimit) {
    this.upRateLimit = upRateLimit;
  }

  public RadiusUserOpenApiVo downRateLimit(Long downRateLimit) {
    this.downRateLimit = downRateLimit;
    return this;
  }

  /**
   * Build-in Radius profile user downlink rate limit, unit: Kbps
   * @return downRateLimit
  */
  @ApiModelProperty(value = "Build-in Radius profile user downlink rate limit, unit: Kbps")


  public Long getDownRateLimit() {
    return downRateLimit;
  }

  public void setDownRateLimit(Long downRateLimit) {
    this.downRateLimit = downRateLimit;
  }

  public RadiusUserOpenApiVo upLimit(Long upLimit) {
    this.upLimit = upLimit;
    return this;
  }

  /**
   * Build-in Radius profile user uplink traffic limit, unit: MB
   * @return upLimit
  */
  @ApiModelProperty(value = "Build-in Radius profile user uplink traffic limit, unit: MB")


  public Long getUpLimit() {
    return upLimit;
  }

  public void setUpLimit(Long upLimit) {
    this.upLimit = upLimit;
  }

  public RadiusUserOpenApiVo downLimit(Long downLimit) {
    this.downLimit = downLimit;
    return this;
  }

  /**
   * Build-in Radius profile user downlink traffic limit, unit: MB
   * @return downLimit
  */
  @ApiModelProperty(value = "Build-in Radius profile user downlink traffic limit, unit: MB")


  public Long getDownLimit() {
    return downLimit;
  }

  public void setDownLimit(Long downLimit) {
    this.downLimit = downLimit;
  }

  public RadiusUserOpenApiVo vlanId(Integer vlanId) {
    this.vlanId = vlanId;
    return this;
  }

  /**
   * VLAN ID, from 1 to 4096
   * @return vlanId
  */
  @ApiModelProperty(value = "VLAN ID, from 1 to 4096")


  public Integer getVlanId() {
    return vlanId;
  }

  public void setVlanId(Integer vlanId) {
    this.vlanId = vlanId;
  }

  public RadiusUserOpenApiVo timeout(Integer timeout) {
    this.timeout = timeout;
    return this;
  }

  /**
   * Session timeout
   * @return timeout
  */
  @ApiModelProperty(value = "Session timeout")


  public Integer getTimeout() {
    return timeout;
  }

  public void setTimeout(Integer timeout) {
    this.timeout = timeout;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    RadiusUserOpenApiVo radiusUserOpenApiVo = (RadiusUserOpenApiVo) o;
    return Objects.equals(this.userId, radiusUserOpenApiVo.userId) &&
        Objects.equals(this.type, radiusUserOpenApiVo.type) &&
        Objects.equals(this.username, radiusUserOpenApiVo.username) &&
        Objects.equals(this.password, radiusUserOpenApiVo.password) &&
        Objects.equals(this.upRateLimit, radiusUserOpenApiVo.upRateLimit) &&
        Objects.equals(this.downRateLimit, radiusUserOpenApiVo.downRateLimit) &&
        Objects.equals(this.upLimit, radiusUserOpenApiVo.upLimit) &&
        Objects.equals(this.downLimit, radiusUserOpenApiVo.downLimit) &&
        Objects.equals(this.vlanId, radiusUserOpenApiVo.vlanId) &&
        Objects.equals(this.timeout, radiusUserOpenApiVo.timeout);
  }

  @Override
  public int hashCode() {
    return Objects.hash(userId, type, username, password, upRateLimit, downRateLimit, upLimit, downLimit, vlanId, timeout);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class RadiusUserOpenApiVo {\n");
    
    sb.append("    userId: ").append(toIndentedString(userId)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    username: ").append(toIndentedString(username)).append("\n");
    sb.append("    password: ").append(toIndentedString(password)).append("\n");
    sb.append("    upRateLimit: ").append(toIndentedString(upRateLimit)).append("\n");
    sb.append("    downRateLimit: ").append(toIndentedString(downRateLimit)).append("\n");
    sb.append("    upLimit: ").append(toIndentedString(upLimit)).append("\n");
    sb.append("    downLimit: ").append(toIndentedString(downLimit)).append("\n");
    sb.append("    vlanId: ").append(toIndentedString(vlanId)).append("\n");
    sb.append("    timeout: ").append(toIndentedString(timeout)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

